<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>org.gcube</groupId>
	<artifactId>nlphub</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<packaging>war</packaging>
	<properties>
		<tomcat.version>7.0.70</tomcat.version>
		<websocket.version>1.1</websocket.version>
	</properties>
	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>org.gcube.distribution</groupId>
				<artifactId>maven-portal-bom</artifactId>
				<version>LATEST</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
		</dependencies>
	</dependencyManagement>

	<dependencies>
		<dependency>
			<groupId>org.apache.httpcomponents</groupId>
			<artifactId>httpclient</artifactId>
			<version>4.5.3</version>
		</dependency>
		<!-- JSON -->
		<dependency>
			<groupId>com.googlecode.json-simple</groupId>
			<artifactId>json-simple</artifactId>
			<version>1.1</version>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>com.google.code.gson</groupId>
			<artifactId>gson</artifactId>
			<version>2.8.2</version>
			<scope>compile</scope>
		</dependency>
 		<!-- GCube -->
<!-- 		<dependency> -->
<!-- 			<groupId>org.gcube.data.analysis</groupId> -->
<!-- 			<artifactId>data-miner-manager-cl</artifactId> -->
<!-- 			<version>[1.0.0-SNAPSHOT, 3.0.0-SNAPSHOT)</version> -->
<!-- 			<scope>compile</scope> -->
<!-- 		</dependency> -->
		<dependency>
			<groupId>org.gcube.common</groupId>
			<artifactId>common-authorization</artifactId>
			<version>[2.0.0-SNAPSHOT,3.0.0-SNAPSHOT)</version>
			<scope>compile</scope>
		</dependency>		
		<dependency>
			<groupId>org.gcube.common</groupId>
			<artifactId>authorization-client</artifactId>
			<version>[2.0.0-SNAPSHOT,3.0.0-SNAPSHOT)</version>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>org.gcube.contentmanagement</groupId>
			<artifactId>storage-manager-wrapper</artifactId>
			<version>[2.1.0-SNAPSHOT,)</version>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>org.gcube.resources.discovery</groupId>
			<artifactId>discovery-client</artifactId>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>org.gcube.core</groupId>
			<artifactId>common-configuration-scanner</artifactId>
			<version>[1.0.0-SNAPSHOT,)</version>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>org.gcube.resources</groupId>
			<artifactId>registry-publisher</artifactId>
			<version>[1.2.1-SNAPSHOT,3.0.0-SNAPSHOT)</version>
			<scope>compile</scope>
		</dependency>
		<dependency>
		  	<groupId>org.gcube.core</groupId>
		  	<artifactId>common-scope</artifactId>
		  	<scope>compile</scope>
		</dependency>
		<!-- Sevlet jars for compilation, provided by Tomcat -->
		<dependency>
			<groupId>org.apache.tomcat</groupId>
			<artifactId>tomcat-servlet-api</artifactId>
			<version>${tomcat.version}</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>commons-lang</groupId>
			<artifactId>commons-lang</artifactId>
			<version>2.6</version>
			<scope>compile</scope>
		</dependency>

		<!-- LOGGER -->
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
			<version>1.6.4</version>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-log4j12</artifactId>
			<version>1.6.4</version>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>log4j</groupId>
			<artifactId>log4j</artifactId>
			<version>1.2.16</version>
			<scope>compile</scope>
		</dependency>
		<!-- JUnit -->
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>3.8.1</version>
			<scope>test</scope>
		</dependency>
	</dependencies>
	<build>
		<finalName>nlphub</finalName>
		<plugins>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.5.1</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>
		</plugins>
	</build>

</project>